/*
 * @Description: 王昕宇创建个人工作台和业务管理相关
 * @version:
 * @Author: jooey wong
 * @Date: 2020-06-24 14:50:47
 * @LastEditors: jooey wong
 * @LastEditTime: 2020-06-24 15:02:55
 */
import request from '@/utils/request'

export const queryTodoListData = () => {
  return request({
    url: '/vue-admin-template/toDoTaskBypage',
    method: 'get',
    params: {
      page: 1,
      size: 10
    }
  })
}

/**
 * @author: WangXinYu
 * @describe 根据id查询模板及模板字段分组信息 (表头信息)
 * @param {String} processId 模板Id
 * @return:
 **/
export const queryTemplateInfoByProcessId = processId => {
  return request({
    baseURL: process.env.VUE_APP_WORKFLOW,
    url: `/wffield/selectTemplateInfoById`,
    method: 'get',
    params: {
      processId: processId
    }
  })
}

/**
 * @author: WangXinYu
 * @describe 分页查询模板实例列表数据
 * @param {String} curPage 当前页码
 * @param {String} pageSize 页码数量
 * @param {String} pageSize 页数
 * @param {String} templateType
 * @param {Object} form
 * @return
 **/
export const queryWfTaskFiedByPagination = params => {
  return request({
    baseURL: process.env.VUE_APP_WORKFLOW,
    url: `/wftaskfieldhi/queryWfTaskFiedByPagination`,
    method: 'get',
    params: params
  })
}
/**
 * @author: WangXinYu
 * @describe 根据id 单一删除模板数据
 * @param {String} businessId
 * @return:
 **/
export const deleteInstanceById = businessId => {
  return request({
    baseURL: process.env.VUE_APP_WORKFLOW,
    url: `/wfinstance/delete/${businessId}`,
    method: 'delete'
  })
}/**
 * @author: WangXinYu
 * @describe 根据id 单一逻辑删除模板数据
 * @param {String} businessId
 * @return:
 **/
export const deleteLogicalInstanceById = businessId => {
  return request({
    baseURL: process.env.VUE_APP_WORKFLOW,
    url: `/wfprocess/deleteLogical/${businessId}`,
    method: 'PUT'
  })
}
